## play.it-community 2023-11-28

=== debian/changelog ===
play.it-community (2023-11-28-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Tue, 28 Nov 2023 15:46:16 +0100

play.it-community (2023-10-26-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Thu, 26 Oct 2023 17:13:55 +0200

play.it-community (2023-08-28-1) unstable; urgency=medium

  *  Initial release (Closes: #1020581)

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Mon, 28 Aug 2023 15:47:09 +0200

## play.it-community 2024-01

=== Makefile ===
collection_name = 50_community

UID := $(shell id --user)

ifeq ($(UID),0)
    prefix = /usr/local
    datadir = $(prefix)/share/games
else
    ifeq ($(XDG_DATA_HOME),)
        XDG_DATA_HOME := $(HOME)/.local/share
    endif
    prefix = $(XDG_DATA_HOME)
    datadir = $(prefix)
endif
gamesdir = $(DESTDIR)$(datadir)/play.it/games

# Install the game scripts

.PHONY: install uninstall uninstall-old

install:
	install -D --mode=755 --target-directory=$(gamesdir)/$(collection_name) games/*

uninstall:
	rm $(gamesdir)/$(collection_name)/play-*.sh
	rmdir -p --ignore-fail-on-non-empty $(gamesdir)/$(collection_name)

uninstall-old:
	rm $(gamesdir)/50_core/play-*.sh
	rmdir -p --ignore-fail-on-non-empty $(gamesdir)/50_core

# Generate tarballs, for easier packaging

.PHONY: dist

## The generated tarball is signed with gpg by default,
## NO_SIGN should be set to a non-0 value to skip the signature.
NO_SIGN := 0

dist: DATE := $(shell date +%F)
dist: TARBALL := $(collection_name)_$(DATE).tar.gz
dist: TAR_OPTIONS := --sort=name --mtime=2023-08-25 --owner=root:0 --group=root:0 --use-compress-program='gzip --no-name'
dist: games/*.sh LICENSE Makefile README.md
	mkdir --parents dist
	LC_ALL=C tar cf dist/$(TARBALL) $(TAR_OPTIONS) games/*.sh LICENSE Makefile README.md
ifeq ($(NO_SIGN),0)
	rm --force dist/$(TARBALL).asc
	gpg --armor --detach-sign dist/$(TARBALL)
endif

## play.it-community 2024-01-27

=== debian/changelog ===
play.it-community (2024-01-27-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Sun, 28 Jan 2024 18:28:07 +0100

=== debian/control ===
Source: play.it-community
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Antoine Le Gonidec <debian@dotslashplay.it>,
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.2
Homepage: https://forge.dotslashplay.it/play.it/games
Vcs-Git: https://salsa.debian.org/games-team/play.it-community.git
Vcs-Browser: https://salsa.debian.org/games-team/play.it-community
Rules-Requires-Root: no

Package: play.it-community
Architecture: all
Depends:
 play.it (>= 2.25.4-1),
 ${misc:Depends},
Description: Collection of game scripts used by ./play.it
 play.it is a free software building native packages from installers for
 Windows or Linux, mainly those sold by stores focusing on DRM-free games
 distribution. The goal is that a game installed via ./play.it is
 indistinguishable from a game installed via the official repositories of your
 favourite distribution.
 .
 This package provides game scripts that can be used with ./play.it
 to install a collection of DRM-free games. It is maintained by the same team
 than the ./play.it library and tools.

=== debian/watch ===
version=4

opts="pgpmode=next" \
  https://downloads.dotslashplay.it/games-collections/community/ \
  (?:.*/)50_community_@ANY_VERSION@@ARCHIVE_EXT@

opts="pgpmode=previous" \
  https://downloads.dotslashplay.it/games-collections/community/ \
  (?:.*/)50_community_@ANY_VERSION@@SIGNATURE_EXT@ \
  previous

## play.it-community 2024-06-29

=== debian/changelog ===
play.it-community (2024-06-29-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Sat, 29 Jun 2024 20:15:40 +0200

play.it-community (2024-06-02-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Sun, 02 Jun 2024 19:30:35 +0200

play.it-community (2024-05-25-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Sat, 25 May 2024 21:52:45 +0200

play.it-community (2024-04-26-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Fri, 26 Apr 2024 14:24:55 +0200

play.it-community (2024-04-06-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Sat, 06 Apr 2024 01:29:28 +0200

play.it-community (2024-03-19-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Tue, 19 Mar 2024 19:59:43 +0100

## play.it-community 2024-07-26

=== debian/changelog ===
play.it-community (2024-07-26-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Fri, 26 Jul 2024 14:40:45 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Antoine Le Gonidec <debian@dotslashplay.it>,
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://forge.dotslashplay.it/play.it/games
 Vcs-Git: https://salsa.debian.org/games-team/play.it-community.git
 Vcs-Browser: https://salsa.debian.org/games-team/play.it-community

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

execute_after_dh_auto_clean:
	debian/copyright.sh > debian/copyright

execute_after_dh_auto_build:
	debian/copyright.sh | cmp - debian/copyright

override_dh_auto_install:
	dh_auto_install -- prefix=/usr datadir=/usr/share/games

## play.it-community 2025-03

=== Makefile ===
--- 
+++ 
@@ -12,22 +12,18 @@
     prefix = $(XDG_DATA_HOME)
     datadir = $(prefix)
 endif
-gamesdir = $(DESTDIR)$(datadir)/play.it/games
+collections_path = $(DESTDIR)$(datadir)/play.it/collections
 
 # Install the game scripts
 
-.PHONY: install uninstall uninstall-old
+.PHONY: install uninstall
 
 install:
-	install -D --mode=755 --target-directory=$(gamesdir)/$(collection_name) games/*
+	install -D --mode=755 --target-directory=$(collections_path)/$(collection_name) games/*
 
 uninstall:
-	rm $(gamesdir)/$(collection_name)/play-*.sh
-	rmdir -p --ignore-fail-on-non-empty $(gamesdir)/$(collection_name)
-
-uninstall-old:
-	rm $(gamesdir)/50_core/play-*.sh
-	rmdir -p --ignore-fail-on-non-empty $(gamesdir)/50_core
+	rm $(collections_path)/$(collection_name)/play-*.sh
+	rmdir -p --ignore-fail-on-non-empty $(collections_path)/$(collection_name)
 
 # Generate tarballs, for easier packaging
 
@@ -47,3 +43,24 @@
 	rm --force dist/$(TARBALL).asc
 	gpg --armor --detach-sign dist/$(TARBALL)
 endif
+
+# Run syntax checks, relying on ShellCheck
+
+GAME_SCRIPTS := $(wildcard games/play-*.sh)
+GAME_SCRIPTS_TESTS := $(addprefix shellcheck_, $(GAME_SCRIPTS))
+.PHONY: check $(GAME_SCRIPTS_TESTS)
+check: $(GAME_SCRIPTS_TESTS)
+
+$(GAME_SCRIPTS_TESTS): SHELLCHECK_SOURCES := /usr/share/games/play.it:/usr/share/play.it
+## This is a unicode quote. Delete and retype it (or ignore/doublequote for literal).
+$(GAME_SCRIPTS_TESTS): SHELLCHECK_EXCLUDE += --exclude=SC1112
+## Expressions don't expand in single quotes, use double quotes for that.
+$(GAME_SCRIPTS_TESTS): SHELLCHECK_EXCLUDE += --exclude=SC2016
+## foo appears unused. Verify it or export it.
+$(GAME_SCRIPTS_TESTS): SHELLCHECK_EXCLUDE += --exclude=SC2034
+## Don't use variables in the printf format string. Use printf '..%s..' "$foo".
+$(GAME_SCRIPTS_TESTS): SHELLCHECK_EXCLUDE += --exclude=SC2059
+## In POSIX sh, 'local' is undefined.
+$(GAME_SCRIPTS_TESTS): SHELLCHECK_EXCLUDE += --exclude=SC3043
+$(GAME_SCRIPTS_TESTS): shellcheck_%: %
+	shellcheck --extended-analysis=false --external-sources --source-path=$(SHELLCHECK_SOURCES) $(SHELLCHECK_EXCLUDE) $<

## play.it-community 2025-03-05

=== debian/changelog ===
play.it-community (2025-03-05-2) unstable; urgency=medium

  * Add Depends: play.it-puzzle
  * Update Uploader email.
  * Drop the autopkgtest tests suite.

 -- Antoine Le Gonidec <debian@vv221.fr>  Mon, 17 Mar 2025 16:19:45 +0100

play.it-community (2025-03-05-1) unstable; urgency=medium

  * New upstream snapshot.
  * Bump Standards-Version to 4.7.2.
  * Add Depends: play.it-adventure.
  * Update the URL to the software homepage.
  * Update the package description.
  * Run upstream tests through autopkgtest.

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Wed, 05 Mar 2025 14:20:17 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,13 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
- Antoine Le Gonidec <debian@dotslashplay.it>,
+ Antoine Le Gonidec <debian@vv221.fr>,
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.7.0
-Homepage: https://forge.dotslashplay.it/play.it/games
+ play.it <!nocheck>,
+ shellcheck <!nocheck>,
+Standards-Version: 4.7.2
+Homepage: https://git.dotslashplay.it/games-community/about/
 Vcs-Git: https://salsa.debian.org/games-team/play.it-community.git
 Vcs-Browser: https://salsa.debian.org/games-team/play.it-community
 Rules-Requires-Root: no
@@ -16,8 +18,10 @@
 Architecture: all
 Depends:
  play.it (>= 2.25.4-1),
+ play.it-adventure,
+ play.it-puzzle,
  ${misc:Depends},
-Description: Collection of game scripts used by ./play.it
+Description: ./play.it game scripts collection - Community-maintained games collection
  play.it is a free software building native packages from installers for
  Windows or Linux, mainly those sold by stores focusing on DRM-free games
  distribution. The goal is that a game installed via ./play.it is

## play.it-community 2025-08-10

=== debian/changelog ===
play.it-community (2025-08-10-1) unstable; urgency=medium

  * New upstream snapshot.
  * Update uploader e-mail.
  * Add dependency on play.it-strategy.
  * Update upstream contact e-mail.
  * Sync debian/copyright with upstream.
  * Drop git-buildpackage configuration.
  * Add upstream metadata.
  * Install upstream documentation.
  * Update package short description.
  * Update lintian overrides.

 -- Antoine Le Gonidec <vv221@debian.org>  Tue, 12 Aug 2025 00:17:57 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
- Antoine Le Gonidec <debian@vv221.fr>,
+ Antoine Le Gonidec <vv221@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  play.it <!nocheck>,
@@ -20,8 +20,9 @@
  play.it (>= 2.25.4-1),
  play.it-adventure,
  play.it-puzzle,
+ play.it-strategy,
  ${misc:Depends},
-Description: ./play.it game scripts collection - Community-maintained games collection
+Description: ./play.it collection - Community-maintained collection
  play.it is a free software building native packages from installers for
  Windows or Linux, mainly those sold by stores focusing on DRM-free games
  distribution. The goal is that a game installed via ./play.it is

## play.it-community 2025-09-19

=== debian/changelog ===
play.it-community (2025-09-19-1) unstable; urgency=medium

  * New upstream snapshot.
  * Update debian/watch to version 5.
  * Drop obsolete field Rules-Requires-Root.

 -- Antoine Le Gonidec <vv221@debian.org>  Sat, 20 Sep 2025 01:16:19 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
 Homepage: https://git.dotslashplay.it/games-community/about/
 Vcs-Git: https://salsa.debian.org/games-team/play.it-community.git
 Vcs-Browser: https://salsa.debian.org/games-team/play.it-community
-Rules-Requires-Root: no
 
 Package: play.it-community
 Architecture: all

## play.it-community 2025-10

=== Makefile ===
--- 
+++ 
@@ -36,19 +36,26 @@
 dist: DATE := $(shell date +%F)
 dist: TARBALL := $(collection_name)_$(DATE).tar.gz
 dist: TAR_OPTIONS := --sort=name --mtime=2023-08-25 --owner=root:0 --group=root:0 --use-compress-program='gzip --no-name'
-dist: games/*.sh LICENSE Makefile README.md
+dist: games/*.sh tests/check-license.sh LICENSE Makefile README.md
 	mkdir --parents dist
-	LC_ALL=C tar cf dist/$(TARBALL) $(TAR_OPTIONS) games/*.sh LICENSE Makefile README.md
+	LC_ALL=C tar cf dist/$(TARBALL) $(TAR_OPTIONS) games/*.sh tests/check-license.sh LICENSE Makefile README.md
 ifeq ($(NO_SIGN),0)
 	rm --force dist/$(TARBALL).asc
 	gpg --armor --detach-sign dist/$(TARBALL)
 endif
 
+# Run license check, to ensure no contributor is missing
+
+.PHONY: check check-license
+check: check-license
+check-license:
+	./tests/check-license.sh
+
 # Run syntax checks, relying on ShellCheck
 
 GAME_SCRIPTS := $(wildcard games/play-*.sh)
 GAME_SCRIPTS_TESTS := $(addprefix shellcheck_, $(GAME_SCRIPTS))
-.PHONY: check $(GAME_SCRIPTS_TESTS)
+.PHONY: $(GAME_SCRIPTS_TESTS)
 check: $(GAME_SCRIPTS_TESTS)
 
 $(GAME_SCRIPTS_TESTS): SHELLCHECK_SOURCES := /usr/share/games/play.it:/usr/share/play.it

## play.it-community 2025-10-21

=== debian/changelog ===
play.it-community (2025-10-21-1) unstable; urgency=medium

  * New upstream snapshot.
  * Drop obsolete field Priority.
  * Update package description, to make it clearer that the upstream
    collection is no longer maintained.

 -- Antoine Le Gonidec <vv221@debian.org>  Tue, 21 Oct 2025 18:12:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: play.it-community
 Section: contrib/games
-Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Antoine Le Gonidec <vv221@debian.org>,
@@ -21,7 +20,7 @@
  play.it-puzzle,
  play.it-strategy,
  ${misc:Depends},
-Description: ./play.it collection - Community-maintained collection
+Description: ./play.it collection - Unmaintained legacy games collection
  play.it is a free software building native packages from installers for
  Windows or Linux, mainly those sold by stores focusing on DRM-free games
  distribution. The goal is that a game installed via ./play.it is
@@ -29,5 +28,5 @@
  favourite distribution.
  .
  This package provides game scripts that can be used with ./play.it
- to install a collection of DRM-free games. It is maintained by the same team
- than the ./play.it library and tools.
+ to install a collection of DRM-free games. This collection used to be the main
+ one, but is now unmaintained and is going to be phased out over time.

=== debian/watch ===
Version: 5

Source: https://downloads.dotslashplay.it/games-collections/community/
Matching-Pattern: 50_community_@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Sig-Url-Mangle: s%$%.asc%

## play.it-community 2025-11-25

=== debian/changelog ===
play.it-community (2025-11-25-3) unstable; urgency=medium

  * Orphan the package.

 -- Antoine Le Gonidec <vv221@debian.org>  Sun, 15 Feb 2026 14:51:09 +0100

play.it-community (2025-11-25-2) unstable; urgency=medium

  * Add an explicit copyright notice for Debian packaging files.
  * Update URL to canonical packaging repository.
  * Add dependencies on new collections.

 -- Antoine Le Gonidec <vv221@debian.org>  Thu, 29 Jan 2026 23:21:23 +0100

play.it-community (2025-11-25-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Antoine Le Gonidec <vv221@debian.org>  Wed, 26 Nov 2025 01:40:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: play.it-community
 Section: contrib/games
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders:
- Antoine Le Gonidec <vv221@debian.org>,
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Standards-Version: 4.7.2
+Homepage: https://git.dotslashplay.it/games-community/about/
+Vcs-Browser: https://salsa.debian.org/games-team/play.it-community/
+Vcs-Git: https://salsa.debian.org/games-team/play.it-community.git
 Build-Depends:
  debhelper-compat (= 13),
  play.it <!nocheck>,
  shellcheck <!nocheck>,
-Standards-Version: 4.7.2
-Homepage: https://git.dotslashplay.it/games-community/about/
-Vcs-Git: https://salsa.debian.org/games-team/play.it-community.git
-Vcs-Browser: https://salsa.debian.org/games-team/play.it-community
 
 Package: play.it-community
 Architecture: all
 Depends:
  play.it (>= 2.25.4-1),
  play.it-adventure,
+ play.it-platform,
  play.it-puzzle,
+ play.it-rpg,
  play.it-strategy,
  ${misc:Depends},
 Description: ./play.it collection - Unmaintained legacy games collection
